.container-sticky {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
}

.button-whatsapp {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    background: linear-gradient(135deg, #f4dba3, #c8a060);
    border: none;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    padding: 10px;
    text-decoration: none;
    cursor: pointer;
    transition: background 0.3s ease, transform 0.2s ease, box-shadow 0.2s ease;
}

.button-whatsapp:hover {
    background: linear-gradient(135deg, #e5c58b, #b38a50);
    transform: scale(1.1);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.4);
}

.button-whatsapp:active {
    background: linear-gradient(135deg, #d4b478, #a37a40);
    transform: scale(0.95);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}

@media (max-width: 768px) {
    .button-whatsapp {
        width: 50px;
        height: 50px;
        font-size: 30px;
        padding: 10px;
    }

    .container-sticky {
        bottom: 15px;
        right: 15px;
    }
}

/*Estilos para encabezado (CONTAINER)*/
.container {
    background-color:  rgb(50, 50, 50);
    /*background: linear-gradient(71deg, #080509, #1a171c, #080509);*/
}

.header {
    max-width: 1920px;
    margin: 0 auto;
}

/*Titulo o logo de la empresa*/
.header_logo {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    max-width: 30rem;
    height: auto;
    margin: 0rem auto;
    padding: 2rem 0;
}

.header_logo__titulo {
    font-family: 'HeliosStencil', sans-serif;
    display: flex;
    flex-direction: column;
    margin: 0;
}

.header_logo__top {
    display: flex;
    font-size: 5rem;
    justify-content: center;
    align-items: center;
    margin-top: -2.5rem;
}

.header_logo__top span {
    background-image: linear-gradient(135deg, 
        #764a27 13%,
        #f4dba3 50%,
        #c8a060 100%
    );
    -webkit-background-clip: text;
    color: transparent;
}

.header_logo__top img {
    width: 5rem;
    height: 4rem;
}

.header_logo__center {
    font-size: 3rem;
    margin-top: -3rem;
    text-align: center;
}

.header_logo__center span {
    background-image: linear-gradient(to right, 
        #764a27 5%,
        #f4dba3 20%,
        #f8e6c2 50%,
        #c8a060 55%,
        #f8e6c2 100%
    );
    -webkit-background-clip: text;
    color: transparent;
}

.header_logo__center span em {
    font-style: normal;
}

.header_logo__bottom {
    display: flex;
    align-items: center;
    margin-top: -1.5rem;
    margin-left: 0rem;
    font-size: 1.2rem;
    font-family: 'Kapital-Regular', sans-serif;
}

.logo_decoracion {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.logo_decoracion div {
    width: 4.3rem;
    height: .2rem;
    border-radius: 1rem;
    margin-top: .4rem;
    margin-right: -0.1rem;
}

.logo_decoracion div:nth-child(1) {
    background-image: linear-gradient(to right,  
        #764a27 5%,
        #f4dba3 40%,
        #c8a060 150%
    );
}
.logo_decoracion div:nth-child(2) {
    background-image: linear-gradient(to right,  
        #764a27 5%,
        #f4dba3 30%,
        #c8a060 140%
    );
}
.logo_decoracion div:nth-child(3) {
    background-image: linear-gradient(to right,  
        #764a27 5%,
        #f4dba3 20%,
        #c8a060 10%
    );
}

.header_logo__bottom span{
    margin-top: .4rem;
    color: #fff;
    margin-left: .5rem;
    font-size: .9rem;
}

@keyframes slideIn {
    0% {
        opacity: 0;
        transform: translateY(-30px); /* Empieza fuera de la vista */
    }
    100% {
        opacity: 1;
        transform: translateY(0); /* Termina en la posición original */
    }
}

/*Estilos para nevegar por la web*/
.header_list {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 4px solid transparent; /* Necesario para que el borde funcione */
    border-left: none;
    border-right: none;
    padding: 1rem .5rem;
    border-image: linear-gradient(135deg, #f4dba3, #c8a060) 1;
}

.container_contactos {
    display: none;
    text-align: start;
    font-size: 1.6rem;
    font-weight: bold;
    border-radius: 1rem;
    padding: .5rem;
}

/* Estilos generales */
.contenedor_nav {
    position: relative;
    display: flex;
    align-items: center;
}

.contenedor_nav button img {
    width: 15px;
    height: 15px;
}

/* Botón del menú */
.btn_menu {
    font-size: 1.5rem;
    color: #3c1e00; /* Marrón oscuro para contraste */
    background: linear-gradient(135deg, #f4dba3, #c8a060); /* Degradado dorado */;
    border: none;
    cursor: pointer;
    position: relative;
    z-index: 1; /* Asegura que esté encima del menú */
}

/* Menú oculto */
.nav_menu {
    position: absolute;
    top: 50px; /* Aparece debajo del botón */
    right: auto; /* Eliminamos la alineación a la derecha */
    left: -50px; /* Lo movemos más a la izquierda */
    background: rgba(0, 0, 0, 0.9);
    list-style: none;
    padding: 10px;
    border-radius: 8px;
    display: none;
    opacity: 0;
    transform: translateX(-20px) translateY(-10px); /* Lo movemos aún más */
    transition: opacity 0.3s ease, transform 0.3s ease;
    width: 180px;
    z-index: 10; /* Asegura que esté encima del menú */
}

/* Cuando el menú está activo */
.nav_menu.active {
    display: block;
    opacity: 1;
    transform: translateX(50px) translateY(0);
}

/* Estilos del menú */
.nav_menu__item {
    padding: 10px;
    text-align: right; /* Alineado a la derecha */
}

.nav_menu__item a {
    color: #fff;
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: bold;
    display: block;
    text-align: start;
    transition: background 0.3s ease, transform 0.2s ease;
}

.nav_menu__item a:hover {
    color:  #c8a060;
}


/*Contenedeor de redes sociales*/
.contenedor_redes {
}

.list_redes {
    display: inline-block;
    text-align: center;
}

.list_redes__item {
    display: inline-block;
}

.list_redes__item a {
    background: linear-gradient(135deg, #f4dba3, #c8a060); 
    color: rgb(50, 50, 50);
    padding: .5rem;
    border-radius: 50%;
    width: 30px; 
    height: 30px; 
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    cursor: pointer;
    transition: background 0.3s ease, transform 0.2s ease;
}

.list_redes__item a:hover {
    background: linear-gradient(135deg, #e5c58b, #b38a50); /* Dorado más intenso */
    transform: scale(1.05);
}

.list_redes__item a:active {
    background: linear-gradient(135deg, #d4b478, #a37a40); /* Un poco más oscuro */
    transform: scale(0.98);
}

.list_redes__item a img {
    width: 15px;
    height: 15px;
}

/*Contenedor de flete*/

.flete_button {
    font-size: 1rem;
    transition: background 0.3s ease, transform 0.2s ease;
}

.flete_button a:hover {
    background: linear-gradient(135deg, #e5c58b, #b38a50); /* Dorado más intenso */
    transform: scale(1.05);
}

.flete_button a:active {
    background: linear-gradient(135deg, #d4b478, #a37a40); /* Un poco más oscuro */
    transform: scale(0.98);
}

/*Estilos de la portada (donde se reproduce el video)*/
.portada {
    position: relative;
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    height: 35rem;
    max-height: 80rem;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

.portada__video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, -50%);
    z-index: -1;
}

.portada_info__title {
    font-size: 2.5rem;
    opacity: 0;
    animation: fadeInUp 0.8s ease-out forwards;
}

.portada_info__text {
    font-size: 1.8rem;
    opacity: 0;
    animation: fadeInUp 0.8s ease-out forwards;
}

/* Se añade un delay para que los párrafos aparezcan después del título */
.portada_info__text:nth-child(2) {
    animation-delay: 0.5s;
}

.portada_info__text:nth-child(3) {
    animation-delay: 1s;
}

.portada_info, .portada_info-mas {
    position: relative;
    color: white;
    text-align: left;
    z-index: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding: 20px;
}

.portada_info-mas__button {
    font-size: 1.2rem;
    opacity: 0;
    animation: scaleIn 0.5s ease-out forwards;
    animation-delay: 1.5s; /* Aparece después de los textos */
}

/* Estilos del modal (oculto por defecto) */
.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    z-index: 4;
}

/* Contenedor del video */
.modal-content {
    position: relative;
    width: 80%;
    max-width: 600px;
}

/* Botón de cerrar */
.close-btn {
    position: absolute;
    font-weight: bold;
    top: -30px;
    right: -30px;
    background: linear-gradient(135deg, #e0c08a, #a77d40);
    color: #3c1e00; 
    border-radius: 50%;
    width: 30px;
    height: 30px;
    border: none;
    font-size: 18px;
    cursor: pointer;
}

.close-btn:hover {
    background: linear-gradient(135deg, #e5c58b, #b38a50); /* Dorado más intenso */
}

/* Video responsivo */
.video-container {
    width: 100%;
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
}

.video-container iframe {
    position: absolute;
    width: 100%;
    height: 100%;
}

/*Animacion de aparicion*/
@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(30px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes scaleIn {
    from {
        opacity: 0;
        transform: scale(0.8);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

/*Para adaptar la web en diferentes dispositvos*/
@media (max-width: 368px) {
    .btn_menu {
        font-size: 1rem;
    }

    .list_redes__item {
        padding: .1rem .5rem;
    }

    .portada_info {
        font-size: 1.2rem;
        padding: 10px;
    }

    .portada_info__title {
        padding-left: 1rem;
        font-size: 2rem;
    }

    .portada_info__text {
        padding-left: 1rem;
        font-size: 1.2rem;
    }

    .portada_info-mas__button {
        font-size: 1.2rem;
    }

    .flete_button {
        transition: background 0.3s ease, transform 0.2s ease;
    }
}

/* Móviles Pequeños (Ej: iPhone SE) */
@media (min-width: 480px) {
    .portada_info {
        font-size: 1.2rem;
        padding: 10px;
    }

    .portada_info__title {
        padding-left: 1rem;
        font-size: 4rem;
    }

    .portada_info__text {
        padding-left: 1rem;
        font-size: 2.5rem;
    }

    .portada_info-mas__button {
        font-size: 1.6rem;
    }

    .flete_button {
        transition: background 0.3s ease, transform 0.2s ease;
    }
}

/* Móviles Medianos (Ej: iPhone, Galaxy S) */
@media (min-width: 1029px) {
    .container {
        position: absolute;
        width: 100%;
        z-index: 2;
        border: 4px solid transparent;
        border-right: none;
        border-top: none;
        border-left: none;
        border-image: linear-gradient(135deg, #f4dba3, #c8a060) 1;
    }

    .header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 0 2rem;
    }

    .header_logo {
        flex: 1;
        justify-content: center;
        padding-left: 1rem;
    }

    .header_logo__img {
        max-width: 20rem;
    }

    .header_list {
        flex: 3;
        border: none;
        padding-right: 1rem;
        display: grid;
        grid-template-rows: 1fr 1fr;
        grid-template-columns: 2fr 1fr auto;
        gap: 1.2rem;
        /* Centrar contenido */
        justify-content: space-between; /* Centra horizontalmente */
        align-items: center; /* Centra verticalmente */
        text-align: center; /* Asegura que el texto también se centre */
    }    

    .container_contactos {
        grid-row: 1/2;
        grid-column: 1/4;
    }

    .contenedor_nav {
        grid-row: 2/3;
        grid-column: 1/2;
    }

    .contenedor_redes {
        grid-row: 2/3;
        grid-column: 2/3;
    }

    .contenedor_flete {
        grid-row: 2/3;
        grid-column: 3/4;
        text-align: end;
    }
    
    .container_contactos {
        background: linear-gradient(135deg, #f4dba3, #c8a060); 
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }

    .contenedor_nav {
        width: 100%;
        position: relative;
    }
    
    .nav_menu {
        position: relative;
        top: 100%; /* Ubicamos el menú justo debajo del header */
        left: 50%;
        transform: translateX(-50%); /* Aseguramos que esté centrado horizontalmente */
        width: auto;
        background-color: transparent;
        text-align: center;
        padding: 10px 0;
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        opacity: 1; /* Aseguramos que el menú sea visible */
        z-index: 10; /* Lo traemos al frente */
    }
    
    .nav_menu__item {
        display: inline-block;
        margin: 0 1rem;
        font-size: 1.8rem; 
        color: white; /* Faltaba el punto y coma aquí */
        font-weight: bold;
    }

    .nav_menu__item:first-child {
        margin-left: 0;
    }  

    .btn_menu {
        display: none; /* Oculta el botón en pantallas grandes */
    }

    .flete_button {
        font-size: 1.3rem;
    }

    .portada {
        padding: 0 1rem;
        position: relative;
        height: 100vh;
    }

    .portada_info__title {
        font-size: 5.5rem;
    }

    .portada_info__text {
        font-size: 3rem;
    }

    .portada_info-mas__button {
        font-size: 1.6rem;
    }
}

/* Tabletas (Ej: iPad, Galaxy Tab) */
@media (min-width: 1149px) {
    .nav_menu__item a {
        font-size: 1.5rem;
    }
}

/* Laptops y Pantallas Grandes */
@media (min-width: 1150px) {
    
}




